// Arquivo de exemplo: caminho.cs
// Para compilar utilize: csc caminho.cs
using System;
using System.IO;

class caminho1 {
	public static void Main() {
		string arquivo=@"c:\livro\teste.txt";
		Console.WriteLine(Path.GetDirectoryName(arquivo));
		Console.WriteLine(Path.GetExtension(arquivo));
		Console.WriteLine(Path.GetFileName(arquivo));
		Console.WriteLine(Path.GetFileNameWithoutExtension(arquivo));
		Console.WriteLine(Path.GetFullPath(arquivo));
		Console.WriteLine(Path.GetTempFileName());
		Console.WriteLine(Path.HasExtension(arquivo));
		Console.Read();
	}
}
